# declared static method

Annotation declared(

1. AnnotationDeclaration declaration,
2. ProtectionDomain domain

)

Creates an Annotation instance from reflection metadata.

Parameters:

- `declaration`: The annotation reflection metadata
- `domain`: The protection domain for security

Returns:

- A concrete Annotation implementation

Typical implementations:

    static Annotation declared(AnnotationDeclaration d, ProtectionDomain p) {
      return _AnnotationImpl(d, p);
    }

## Implementation

    static Annotation declared(AnnotationDeclaration declaration, ProtectionDomain domain) {
      return _Annotation(declaration, domain);
    }